Bug 101426 - update sysstat
update sysstat
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: sysstat (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Charlie Bennett
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-31 17:43 EDT by Christopher McCrory
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-13 16:14:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher McCrory 2003-07-31 17:43:34 EDT
Description of problem:

current sysstat doesn't see %iowait 

Version-Release number of selected component (if applicable):
sysstat-4.0.7-4

How reproducible:
always

Steps to Reproduce:
1. install sysstat
2.  run 'sar'
3.
    
Actual results:

[chrismcc@abu chrismcc]$ sar | head
Linux 2.4.21-1.1931.2.349.2.2.entsmp (abu)      07/31/03
 
00:00:00          CPU     %user     %nice   %system     %idle
00:10:00          all      1.92      0.00      0.30     97.78
00:20:00          all      1.79      0.00      0.30     97.91
00:30:00          all      1.84      0.00      0.26     97.90
00:40:00          all      1.93      0.00      0.26     97.81
00:50:00          all      3.06      0.00      3.08     93.86



Expected results:

[chrismcc@taroon64 chrismcc]$ sar | head
Linux 2.4.21-1.1931.2.349.2.2.entsmp (taroon64)         07/31/03
 
14:11:26          CPU     %user     %nice   %system   %iowait     %idle
14:20:00          all      0.02      0.00      0.01      0.02     99.96
14:30:00          all      0.03      0.00      0.00      0.00     99.97
14:40:00          all      0.04      0.00      0.01      0.01     99.95
Average:          all      0.03      0.00      0.01      0.01     99.96



Additional info:

[chrismcc@abu chrismcc]$ sar -V
sysstat version 4.0.7
(C) S. Godard <sebastien.godard@wanadoo.fr>


[chrismcc@taroon64 chrismcc]$ sar -V
sysstat version 4.1.5
(C) Sebastien Godard


you also get current %iowait in 'top'
Comment 1 Christopher McCrory 2003-07-31 18:05:10 EDT
in the sysstat .spec file are the following lines:

                                                                                
%ifarch x86_64 ppc64 s390x
perl -pi -e "s|/lib|/lib64|g" %{SOURCE1}
%endif

this patched the file in SOURCES/sysstat.cron

that file in the srpm now reads:

[chrismcc@valhalla SRPMS]$ cat ../SOURCES/sysstat.crond
# run system activity accounting tool every 10 minutes
*/10 * * * * root /usr/lib64/sa/sa1 1 1
# generate a daily summary of process accounting at 23:53
53 23 * * * root /usr/lib64/sa/sa2 -A


running it again will yield a broken cron

e.g.  /usr/lib6464/sa/sa1 1 1  on a 64 bit platform 

recomend:                                                                      
       
%ifarch x86_64 ppc64 s390x
perl -pi -e "s|/lib|/lib64|g" %{buildroot}/etc/cron.d/sysstat
%endif

Comment 2 Matt Wilson 2003-09-25 19:27:51 EDT
comment #2 is a different issue than comment #1
Comment 3 Charlie Bennett 2004-09-23 14:28:20 EDT
Separate bug has been opened against the spec file issue.

Sysstat 5.0.5 has been built against RHEL3 and is available for
testing at http://people.redhat.com/ccb/sysstat.  Its data files are
not compatible with 4.0.7 so if you try it out you may want to pack
away your data files.  We plan on getting this version into the next
update.
Comment 4 Charlie Bennett 2004-09-29 17:28:47 EDT
Problem reported in comment #1 is fixed in candidate erratum RHBA-2004:506
Comment 5 John Flanagan 2004-12-13 16:14:51 EST
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-503.html
Comment 6 John Flanagan 2004-12-20 23:01:03 EST
An advisory has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-506.html

Note You need to log in before you can comment on or make changes to this bug.